Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"request_counts": {
"total": 123,
"completed": 123,
"failed": 123,
"succeeded": 123,
"expired": 123,
"canceled": 123,
"pending": 123
},
"cancelling_at": 123,
"cancelled_at": 123,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Batch
Cancel a batch job
Cancels a batch job.
POST
/
v1
/
batches
/
{batch_id}
/
cancel
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"request_counts": {
"total": 123,
"completed": 123,
"failed": 123,
"succeeded": 123,
"expired": 123,
"canceled": 123,
"pending": 123
},
"cancelling_at": 123,
"cancelled_at": 123,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
The ID of the batch to cancel
Query Parameters
The provider of the batch AI model provider identifier
Available options:
openai, azure, anthropic, bedrock, cohere, vertex, vllm, mistral, ollama, groq, sgl, parasail, perplexity, replicate, cerebras, gemini, openrouter, elevenlabs, huggingface, nebius, xai, runway, fireworks Response
Successful response
Available options:
validating, failed, in_progress, finalizing, completed, expired, cancelling, canceled, ended Show child attributes
Show child attributes
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?
⌘I

